httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Schaefer <joe+gm...@sunstarsys.com>
Subject Re: new apreq2 snapshot
Date Wed, 14 Jul 2004 18:55:16 GMT
"Edward J. Sabol" <sabol@alderaan.gsfc.nasa.gov> writes:

[...]

> Unsurprisingly, it failed to build, but, for some reason, the mod_perl
> version test in build/version_check.pl didn't do its job. It never
> informed me that my mod_perl version was insufficient.

Please see if this patch fixes the prereq test:

Index: build/version_check.pl
===================================================================
RCS file: /home/cvs/httpd-apreq-2/build/version_check.pl,v
retrieving revision 1.16
diff -u -r1.16 version_check.pl
--- build/version_check.pl      5 Jul 2004 05:22:17 -0000       1.16
+++ build/version_check.pl      14 Jul 2004 18:53:46 -0000
@@ -57,7 +57,8 @@
          "Apache::Test" => { version => "1.04",    test => \&a_t_version,
                              comment => "Win32 requires version 1.06"    },
   "ExtUtils::XSBuilder" => { version => "0.23",    test => \&xsb_version },
-              mod_perl  => { version => "1.99_15", test => \&mp2_version },
+                 # mp2 does not contain "_" in its reported version number
+              mod_perl  => { version => "1.9915", test => \&mp2_version },
   "ExtUtils::MakeMaker" => { version => "6.15",    test => \&mm_version  },
                 );

-- 
Joe Schaefer


Mime
View raw message